%define name infinitrix
%define version 1.0.2
%define unmangled_version 1.0.2
%define release 2

Summary: An open source Bitrix24 messenger client, written on Python, PyQt5 and PyQtWebEngine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: https://github.com/smallcms/infinitrix/releases/download/%{unmangled_version}/%{name}-%{unmangled_version}.tar.gz
License: MIT
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: smallcms <smallcms@gmail.com>
Url: https://github.com/smallcms/infinitrix
%if %{defined suse_version}
Requires: python3-qt5, python3-qtwebengine-qt5
%else
Requires: python3-qt5, python3-qt5-webengine
%endif
BuildRequires: python3-devel

%description
An open source Bitrix24 messenger client, written on Python, PyQt5 and PyQtWebEngine

%prep
%setup -n %{name}-%{unmangled_version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES --install-scripts=/usr/bin/ --prefix=/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
